<!--

function ShowAddCatalog(){
	$Obj('addCatalog').style.display='block';
}

function CloseAddCatalog(){
	$Obj('addCatalog').style.display='none';
}

function CloseEditCatalog(){
	$Obj('editCatalog').style.display='none';
}

function DelCatalog(cid){
	if(window.confirm("你確實要刪除這個分類麼？"))
	{
		location.href='story_catalog.php?catid='+cid+'&action=del';
	}
}

function DelStory(bid){
	if(window.confirm("你確實要刪除這本圖書麼？")){
		location.href='story_do.php?bid='+bid+'&action=delbook';
	}
}

function DelStoryContent(cid){
	if(window.confirm("刪除內容後章節的其它內容排列序號不會發生變化，\r\n這可能導致管理混亂，你確實要刪除這篇內容麼？")){
		location.href='story_do.php?cid='+cid+'&action=delcontent';
	}
}

function CloseLayer(layerid){
	$Obj(layerid).style.display='none';
}

//預覽內容
function PreViewCt(cid,booktype){
	if(booktype==0){
		window.open("../book/story.php?id="+cid);
	}else{
		window.open("../book/show-photo.php?id="+cid);
	}
}

//編輯欄目
function EditCatalog(cid){
	$Obj('editCatalog').style.display='block';
	var myajax = new DedeAjax($Obj('editCatalogBody'),false,true,"","","請稍候，正在載入...");
	myajax.SendGet2('story_catalog.php?catid='+cid+'&action=editload');
	DedeXHTTP = null;
}

//圖書章節，反向選擇
function ReSelChapter(){
	var ems = document.getElementsByName('ids[]');
	for(var i=0;i<ems.length;i++){
		if(!ems[i].checked) ems[i].checked = true;
		else ems[i].checked = false;
	}
}

//刪除整章節圖書內容
function DelStoryChapter(cid){
	if(window.confirm("刪除章節會刪除章節下的所有內容，你確實要刪除麼？")){
		location.href='story_do.php?cid='+cid+'&action=delChapter';
	}
}

//增加圖書的檢查
function checkSubmitAdd()
{
	if(document.form1.catid.value==0){
		alert("請選擇連載內容的欄目！");
		document.form1.bookname.focus();
		return false;
	}
	if(document.form1.bookname.value==""){
		alert("連載圖書名稱不能為空！");
		document.form1.bookname.focus();
		return false;
	}
}

//增加小說內容的檢查
function checkSubmitAddCt()
{
	if(document.form1.title.value==0){
		alert("文章標題不能為空！");
		document.form1.title.focus();
		return false;
	}
	if(document.form1.chapterid.selectedIndex==-1 && document.form1.chapternew.value==''){
		alert("文章所屬章節和新章節名稱不能同時為空！");
		return false;
	}
}

//增加漫畫內容的檢查
function checkSubmitAddPhoto()
{
	if(document.form1.chapterid.selectedIndex==-1 && document.form1.chapternew.value==''){
		alert("文章所屬章節和新章節名稱不能同時為空！");
		return false;
	}
	document.form1.photonum.value = endNum;
}

//顯示選擇框與新增章節選項
function ShowHideSelChapter(selfield,newfield)
{
	if(document.form1.addchapter.checked){
		$Obj(selfield).style.display = 'none';
		$Obj(newfield).style.display = 'block';
	}else{
		$Obj(selfield).style.display = 'block';
		$Obj(newfield).style.display = 'none';
	}
}

function selAll()
{
	for(i=0;i<document.form2.ids.length;i++)
	{
		if(!document.form2.ids[i].checked){
			document.form2.ids[i].checked=true;
		}
	}
}
function noSelAll()
{
	for(i=0;i<document.form2.ids.length;i++)
	{
		if(document.form2.ids[i].checked){
			document.form2.ids[i].checked=false;
		}
	}
}
//獲得選中文件的文件名
function getCheckboxItem()
{
	var allSel="";

	if(document.form2.ids.value) return document.form2.ids.value;
	for(i=0;i<document.form2.ids.length;i++)
	{
		if(document.form2.ids[i].checked){
			allSel += (allSel=='' ? document.form2.ids[i].value : ","+document.form2.ids[i].value);
		}
	}
	return allSel;
}
//刪除多選
function DelAllBooks()
{
	if(window.confirm("你確實要刪除這些圖書麼？")){
		var selbook = getCheckboxItem();
		location.href='story_do.php?bid='+selbook+'&action=delbook';
	}
}

-->